Index: LMDZ4/trunk/libf/dyn3dpar/iniacademic.F
===================================================================
--- LMDZ4/trunk/libf/dyn3dpar/iniacademic.F	(revision 1122)
+++ LMDZ4/trunk/libf/dyn3dpar/iniacademic.F	(revision 1146)
@@ -4,5 +4,8 @@
 c
 c
-      SUBROUTINE iniacademic(nq,vcov,ucov,teta,q,masse,ps,phis,time_0)
+      SUBROUTINE iniacademic(vcov,ucov,teta,q,masse,ps,phis,time_0)
+
+      USE filtreg_mod
+      USE infotrac, ONLY : nqtot
 
 c%W%    %G%
@@ -42,9 +45,9 @@
 #include "temps.h"
 #include "control.h"
+#include "iniprint.h"
 
 c   Arguments:
 c   ----------
 
-      integer nq
       real time_0
 
@@ -52,21 +55,17 @@
       REAL vcov(ip1jm,llm),ucov(ip1jmp1,llm) ! vents covariants
       REAL teta(ip1jmp1,llm)                 ! temperature potentielle
-      REAL q(ip1jmp1,llm,nq)               ! champs advectes
+      REAL q(ip1jmp1,llm,nqtot)              ! champs advectes
       REAL ps(ip1jmp1)                       ! pression  au sol
       REAL masse(ip1jmp1,llm)                ! masse d'air
+      REAL phis(ip1jmp1)                     ! geopotentiel au sol
+
+c   Local:
+c   ------
+
       REAL p (ip1jmp1,llmp1  )               ! pression aux interfac.des couches
       REAL pks(ip1jmp1)                      ! exner au  sol
       REAL pk(ip1jmp1,llm)                   ! exner au milieu des couches
       REAL pkf(ip1jmp1,llm)                  ! exner filt.au milieu des couches
-      REAL phis(ip1jmp1)                     ! geopotentiel au sol
       REAL phi(ip1jmp1,llm)                  ! geopotentiel
-
-
-
-
-
-c   Local:
-c   ------
-
       REAL ddsin,tetarappelj,tetarappell,zsig
       real tetajl(jjp1,llm)
@@ -79,37 +78,38 @@
 
 c-----------------------------------------------------------------------
+! 1. Initializations for Earth-like case
+! --------------------------------------
+      if (planet_type=="earth") then
+c
+        time_0=0.
 
-c
-      time_0=0.
+        im         = iim
+        jm         = jjm
+        day_ini    = 0
+        omeg       = 4.*asin(1.)/86400.
+        rad    = 6371229.
+        g      = 9.8
+        daysec = 86400.
+        dtvr    = daysec/FLOAT(day_step)
+        zdtvr=dtvr
+        kappa  = 0.2857143
+        cpp    = 1004.70885
+        preff     = 101325.
+        pa        =  50000.
+        etot0      = 0.
+        ptot0      = 0.
+        ztot0      = 0.
+        stot0      = 0.
+        ang0       = 0.
 
-      im         = iim
-      jm         = jjm
-      day_ini    = 0
-      omeg       = 4.*asin(1.)/86400.
-      rad    = 6371229.
-      g      = 9.8
-      daysec = 86400.
-      dtvr    = daysec/FLOAT(day_step)
-      zdtvr=dtvr
-      kappa  = 0.2857143
-      cpp    = 1004.70885
-      preff     = 101325.
-      pa        =  50 000.
-      etot0      = 0.
-      ptot0      = 0.
-      ztot0      = 0.
-      stot0      = 0.
-      ang0       = 0.
-      pa         = 0.
+        CALL iniconst
+        CALL inigeom
+        CALL inifilr
 
-      CALL inicons0
-      CALL inigeom
-      CALL inifilr
-
-      ps=0.
-      phis=0.
+        ps=0.
+        phis=0.
 c---------------------------------------------------------------------
 
-      taurappel=10.*daysec
+        taurappel=10.*daysec
 
 c---------------------------------------------------------------------
@@ -117,63 +117,63 @@
 c   --------------------------------------
 
-      DO l=1,llm
-       zsig=ap(l)/preff+bp(l)
-       if (zsig.gt.0.3) then
-         lsup=l
-         tetarappell=1./8.*(-log(zsig)-.5)
-         DO j=1,jjp1
-            ddsin=sin(rlatu(j))-sin(pi/20.)
-            tetajl(j,l)=300.*(1+1./18.*(1.-3.*ddsin*ddsin)+tetarappell)
-         ENDDO
-        else
+        DO l=1,llm
+         zsig=ap(l)/preff+bp(l)
+         if (zsig.gt.0.3) then
+           lsup=l
+           tetarappell=1./8.*(-log(zsig)-.5)
+           DO j=1,jjp1
+             ddsin=sin(rlatu(j))-sin(pi/20.)
+             tetajl(j,l)=300.*(1+1./18.*(1.-3.*ddsin*ddsin)+tetarappell)
+           ENDDO
+          else
 c   Choix isotherme au-dessus de 300 mbar
-         do j=1,jjp1
-            tetajl(j,l)=tetajl(j,lsup)*(0.3/zsig)**kappa
-         enddo
-        endif
-      ENDDO
+           do j=1,jjp1
+             tetajl(j,l)=tetajl(j,lsup)*(0.3/zsig)**kappa
+           enddo
+          endif ! of if (zsig.gt.0.3)
+        ENDDO ! of DO l=1,llm
 
-      do l=1,llm
-         do j=1,jjp1
-            do i=1,iip1
-               ij=(j-1)*iip1+i
-               tetarappel(ij,l)=tetajl(j,l)
-            enddo
-         enddo
-      enddo
+        do l=1,llm
+           do j=1,jjp1
+              do i=1,iip1
+                 ij=(j-1)*iip1+i
+                 tetarappel(ij,l)=tetajl(j,l)
+              enddo
+           enddo
+        enddo
 
-c     call dump2d(jjp1,llm,tetajl,'TEQ   ')
+c       call dump2d(jjp1,llm,tetajl,'TEQ   ')
 
-      ps=1.e5
-      phis=0.
-      CALL pression ( ip1jmp1, ap, bp, ps, p       )
-      CALL exner_hyb( ip1jmp1, ps, p,alpha,beta, pks, pk, pkf )
-      CALL massdair(p,masse)
+        ps=1.e5
+        phis=0.
+        CALL pression ( ip1jmp1, ap, bp, ps, p       )
+        CALL exner_hyb( ip1jmp1, ps, p,alpha,beta, pks, pk, pkf )
+        CALL massdair(p,masse)
 
 c  intialisation du vent et de la temperature
-      teta(:,:)=tetarappel(:,:)
-      CALL geopot(ip1jmp1,teta,pk,pks,phis,phi)
-      call ugeostr(phi,ucov)
-      vcov=0.
-      q(:,:,1   )=1.e-10
-      q(:,:,2   )=1.e-15
-      q(:,:,3:nq)=0.
+        teta(:,:)=tetarappel(:,:)
+        CALL geopot(ip1jmp1,teta,pk,pks,phis,phi)
+        call ugeostr(phi,ucov)
+        vcov=0.
+        q(:,:,1   )=1.e-10
+        q(:,:,2   )=1.e-15
+        q(:,:,3:nqtot)=0.
 
 
-c   perturbation al\351atoire sur la temp\351rature
-      idum  = -1
-      zz = ran1(idum)
-      idum  = 0
-      do l=1,llm
-         do ij=iip2,ip1jm
-            teta(ij,l)=teta(ij,l)*(1.+0.005*ran1(idum))
-         enddo
-      enddo
+c   perturbation aleatoire sur la temperature
+        idum  = -1
+        zz = ran1(idum)
+        idum  = 0
+        do l=1,llm
+           do ij=iip2,ip1jm
+              teta(ij,l)=teta(ij,l)*(1.+0.005*ran1(idum))
+           enddo
+        enddo
 
-      do l=1,llm
-         do ij=1,ip1jmp1,iip1
-            teta(ij+iim,l)=teta(ij,l)
-         enddo
-      enddo
+        do l=1,llm
+           do ij=1,ip1jmp1,iip1
+              teta(ij+iim,l)=teta(ij,l)
+           enddo
+        enddo
 
 
@@ -185,9 +185,14 @@
 
 c   initialisation d'un traceur sur une colonne
-      j=jjp1*3/4
-      i=iip1/2
-      ij=(j-1)*iip1+i
-      q(ij,:,3)=1.
-
+        j=jjp1*3/4
+        i=iip1/2
+        ij=(j-1)*iip1+i
+        q(ij,:,3)=1.
+      
+      else
+        write(lunout,*)"iniacademic: planet types other than earth",
+     &                 " not implemented (yet)."
+        stop
+      endif ! of if (planet_type=="earth")
       return
       END
Index: LMDZ4/trunk/libf/dyn3dpar/initdynav_p.F
===================================================================
--- LMDZ4/trunk/libf/dyn3dpar/initdynav_p.F	(revision 1122)
+++ LMDZ4/trunk/libf/dyn3dpar/initdynav_p.F	(revision 1146)
@@ -4,6 +4,5 @@
 c
 c
-      subroutine initdynav_p(infile,day0,anne0,tstep,t_ops,t_wrt
-     .                     ,nq,fileid)
+      subroutine initdynav_p(infile,day0,anne0,tstep,t_ops,t_wrt,fileid)
 
        USE IOIPSL
@@ -11,4 +10,6 @@
        use Write_field
        use misc_mod
+       USE infotrac
+
       implicit none
 
@@ -30,5 +31,4 @@
 C      t_ops: frequence de l'operation pour IOIPSL
 C      t_wrt: frequence d'ecriture sur le fichier
-C      nq: nombre de traceurs
 C
 C   Sortie:
@@ -50,5 +50,4 @@
 #include "description.h"
 #include "serre.h"
-#include "advtrac.h"
 
 C   Arguments
@@ -58,5 +57,4 @@
       real tstep, t_ops, t_wrt
       integer fileid
-      integer nq
       integer thoriid, zvertiid
 
@@ -82,5 +80,4 @@
       
       INTEGER :: dynave_domain_id
-      
       
       if (adjust) return
@@ -169,5 +166,5 @@
 C  Traceurs
 C
-        DO iq=1,nq
+        DO iq=1,nqtot
           call histdef(fileid, ttext(iq), ttext(iq), '-',
      .             iip1, jjn, thoriid, llm, 1, llm, zvertiid,
Index: LMDZ4/trunk/libf/dyn3dpar/initfluxsto_p.F
===================================================================
--- LMDZ4/trunk/libf/dyn3dpar/initfluxsto_p.F	(revision 1122)
+++ LMDZ4/trunk/libf/dyn3dpar/initfluxsto_p.F	(revision 1146)
@@ -3,5 +3,5 @@
 !
       subroutine initfluxsto_p
-     .  (infile,tstep,t_ops,t_wrt,nq,
+     .  (infile,tstep,t_ops,t_wrt,
      .                    fileid,filevid,filedid)
 
@@ -30,5 +30,4 @@
 C      t_ops: frequence de l'operation pour IOIPSL
 C      t_wrt: frequence d'ecriture sur le fichier
-C      nq: nombre de traceurs
 C
 C   Sortie:
@@ -58,5 +57,5 @@
       real tstep, t_ops, t_wrt
       integer fileid, filevid,filedid
-      integer nq,ndex(1)
+      integer ndex(1)
       real nivd(1)
 
@@ -87,5 +86,4 @@
       INTEGER :: dynu_domain_id
       INTEGER :: dynv_domain_id
-
 
 C
Index: LMDZ4/trunk/libf/dyn3dpar/inithist_p.F
===================================================================
--- LMDZ4/trunk/libf/dyn3dpar/inithist_p.F	(revision 1122)
+++ LMDZ4/trunk/libf/dyn3dpar/inithist_p.F	(revision 1146)
@@ -2,5 +2,5 @@
 ! $Header$
 !
-      subroutine inithist_p(infile,day0,anne0,tstep,t_ops,t_wrt,nq,
+      subroutine inithist_p(infile,day0,anne0,tstep,t_ops,t_wrt,
      .                      fileid,filevid)
 
@@ -9,4 +9,5 @@
        use Write_field
        use misc_mod
+       USE infotrac
 
       implicit none
@@ -29,5 +30,4 @@
 C      t_ops: frequence de l'operation pour IOIPSL
 C      t_wrt: frequence d'ecriture sur le fichier
-C      nq: nombre de traceurs
 C
 C   Sortie:
@@ -50,5 +50,4 @@
 #include "description.h"
 #include "serre.h"
-#include "advtrac.h"
 
 C   Arguments
@@ -58,5 +57,4 @@
       real tstep, t_ops, t_wrt
       integer fileid, filevid
-      integer nq
 
 C   Variables locales
@@ -83,4 +81,5 @@
       INTEGER :: dynu_domain_id
       INTEGER :: dynv_domain_id
+
 C
 C  Initialisations
@@ -217,5 +216,5 @@
 C  Traceurs
 C
-        DO iq=1,nq
+        DO iq=1,nqtot
           call histdef(fileid, ttext(iq),  ttext(iq), '-',
      .             iip1, jjn, thoriid, llm, 1, llm, zvertiid,
Index: LMDZ4/trunk/libf/dyn3dpar/integrd_p.F
===================================================================
--- LMDZ4/trunk/libf/dyn3dpar/integrd_p.F	(revision 1122)
+++ LMDZ4/trunk/libf/dyn3dpar/integrd_p.F	(revision 1146)
@@ -32,5 +32,4 @@
 #include "temps.h"
 #include "serre.h"
-#include "advtrac.h"
 
 c   Arguments:
